=== modified file 'serve-branches'
--- serve-branches	2008-10-24 02:26:05 +0000
+++ serve-branches	2008-10-25 22:30:55 +0000
@@ -50,6 +50,9 @@
                       help="Host Loggerhead should listen on.")
     parser.add_option("--prefix", dest="user_prefix",
                       help="Specify host prefix.")
+    parser.add_option("--profile", action="store_true", dest="profile",
+                      help="Adds profiling information to the HTML of "
+                      "each request.")
     parser.add_option("--reload", action="store_true", dest="reload",
                       help="Restarts the application when changing python"
                            " files. Only used for development purposes.")
@@ -116,6 +119,9 @@
     app = ErrorHandlerApp(app)
     app = HTTPExceptionHandler(app)
     app = TransLogger(app, logger=logger)
+    if options.profile:
+        from paste.debug.profile import ProfileMiddleware
+        app = ProfileMiddleware(app)
 
     if not options.user_prefix:
         prefix = '/'

